<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 12/6/2018
 * Time: 3:05 AM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['nombre']) && isset($_REQUEST['calle_torre']) && isset($_REQUEST['numero_interior'])  && isset($_REQUEST['idPropiedad']) && isset($_REQUEST['cuota_mantenimiento']) && isset($_REQUEST['telefono']) && isset($_REQUEST['id_propietario'])) {
            $idPropiedad = $_REQUEST['idPropiedad'];
            $propiedad = R::load('propiedad', $idPropiedad);
            $propiedad->nombre = $_REQUEST['nombre'];
            $propiedad->calle = $_REQUEST['calle_torre'];
            $propiedad->numero_exterior = $_REQUEST['numero_interior'];
            $propiedad->telefono = $_REQUEST['telefono'];
            $propiedad->id_propietario = $_REQUEST['id_propietario'];
            $propiedad->couta_mantenimiento = $_REQUEST['couta_mantenimiento'];
            $propiedad->fechaModificacion = date('Y-m-d H:i:s');
            $propiedad->estado = 1;
            $id = R::store($propiedad);
            include '../comun/mensajeModificado.php';

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}